Bug 465239 - Excessive resolution chosen for HP A4576A 21" CRT connected to ATI X800
Excessive resolution chosen for HP A4576A 21" CRT connected to ATI X800
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: xorg-x11-drv-ati (Show other bugs)
10
All Linux
medium Severity medium
: ---
: ---
Assigned To: Dave Airlie
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-10-02 07:27 EDT by Joachim Frieben
Modified: 2009-01-09 04:26 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-01-09 04:26:12 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
F10-Beta Xorg.0.log w/o xorg.conf (46.67 KB, text/plain)
2008-10-02 07:27 EDT, Joachim Frieben
no flags Details
F10-Beta Screenshot of Screen Resolution applet (29.83 KB, image/png)
2008-10-02 07:28 EDT, Joachim Frieben
no flags Details
Rawhide Xorg.0.log w/o xorg.conf (102.26 KB, text/plain)
2008-12-03 03:56 EST, Joachim Frieben
no flags Details

  None (edit)
Description Joachim Frieben 2008-10-02 07:27:05 EDT
Created attachment 319213 [details]
F10-Beta Xorg.0.log w/o xorg.conf

Description of problem:
When booting from the F10-Beta live CD, X is set up to use a resolution of 1865x1392 pixels at 60 Hz which appears somewhat peculiar for this classic 21" CRT which supports up to 1600x1200 at 75 Hz whereas the optimum mode is 1400x1050 at 85 Hz.

Version-Release number of selected component (if applicable):
xorg-x11-drv-ati-6.9.0-14.fc10

How reproducible:
Always

Steps to Reproduce:
1. Boot from the F10-Beta live CD.
  
Actual results:
Video mode is set to 1865x1392 pixels at 60 Hz

Expected results:
Video mode is set to 1600x1200 at 75 Hz or, preferably, 1400x1050 at 85 Hz.

Additional info:
In both cases, DPI are set to (117, 157) according to Xorg.0.log. However, the system font size under GNOME is huge, and in fact, it is using a significantly higher value of 137 whereas 96 appears a more reasonable choice and moreover the default value in previous releases.
For an X session launched after adding a minimum xorg.conf used successfully with F9, the resolution is set correctly to 1400x1050. However, when changing the DPI in the GNOME preferences panel from 137 to 96, the whole system starts over and boots from the CD once again.
Comment 1 Joachim Frieben 2008-10-02 07:28:53 EDT
Created attachment 319214 [details]
F10-Beta Screenshot of Screen Resolution applet
Comment 2 Orion Poplawski 2008-11-14 12:26:58 EST
I'm seeing:

screen #0:
  dimensions:    1280x800 pixels (289x21 millimeters)
  resolution:    112x968 dots per inch               


with ATI radeon express 200M and xorg-x11-drv-ati-6.9.0-38.fc10.x86_64


(II) RADEON(0): Max Image Size [cm]: horiz.: 33  vert.: 21

(II) RADEON(0): clock: 71.2 MHz   Image Size:  289 x 21 mm

(II) RADEON(0): Setting screen physical size to 289 x 21
Comment 3 Bug Zapper 2008-11-25 22:27:41 EST
This bug appears to have been reported against 'rawhide' during the Fedora 10 development cycle.
Changing version to '10'.

More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 4 Jóhann B. Guðmundsson 2008-12-01 06:41:11 EST
There have been bunch of bug fixes

Could you retest with the latest kernel 
( -132 at the time of this writing )

You can get the latest kernel build here
http://koji.fedoraproject.org/koji/buildinfo?buildID=72270 

And with the latest xorg-x11-drv-ati. 
( -60 at the time of this writing )

You can get the latest xorg-x11-drv-ati build here
http://koji.fedoraproject.org/koji/packageinfo?packageID=95

And report back if it either improves or fixes this issue..

Thanks.
Comment 5 Joachim Frieben 2008-12-03 03:56:18 EST
Created attachment 325500 [details]
Rawhide Xorg.0.log w/o xorg.conf

No improvement after upgrading to current "rawhide" including
- kernel-2.6.28-0.106.rc6.git4.fc11.x86_64
- xorg-x11-drv-ati-6.9.0-61.fc10.x86_64
- xorg-x11-server-Xorg-1.5.3-5.fc10.x86_64
Comment 6 Joachim Frieben 2009-01-09 04:26:12 EST
I have retested the issue for current F10 w/updates including:

- kernel-2.6.27.10-169.fc10
- xorg-x11-server-1.5.3-8.fc10
- xorg-x11-drv-ati-6.9.0-63.fc10

The X server now defaults to a resolution 1280x1024 at 75 Hz for my HP A4576A 21" CRT when no xorg.conf file is present which is a more sane configuration than the previous one.

Note You need to log in before you can comment on or make changes to this bug.